function AddPlayerPrefabPostInit(fn)
	AddPrefabPostInit("world", function(inst)
		GLOBAL.assert( GLOBAL.GetPlayer() == nil )
		local player_prefab = GLOBAL.SaveGameIndex:GetSlotCharacter()
	 
		-- Unfortunately, we can't add new postinits by now. So we have to do
		-- it the hard way...
	 
		GLOBAL.TheSim:LoadPrefabs( {player_prefab} )
		local oldfn = GLOBAL.Prefabs[player_prefab].fn
		GLOBAL.Prefabs[player_prefab].fn = function()
			local inst = oldfn()
	 
			fn(inst)
	 
			return inst
		end
	end)
end
