local _M = { MAIN_POPUP = {}, RESURRECT_POPUP = {}, }

local function chomp(s)
	return s:gsub("^%s+", ""):gsub("%s+$", "")
end


_M.MAIN_POPUP.TITLE = "Say pal"
_M.MAIN_POPUP.BODY = chomp [[
You look ghastly.

What do you want to do?
]]

_M.MAIN_POPUP.CHOICES = {
	"DIE",
	"RELOAD",
	"PROTO_RESURRECT",

	DIE = "Die",
	RELOAD = "Reload save",
	PROTO_RESURRECT = "Resurrect",
}


_M.RESURRECT_POPUP.TITLE = "Say pal"
_M.RESURRECT_POPUP.BODY = chomp [[
Resurrect where?
]]

_M.RESURRECT_POPUP.CHOICES = {
	"CAMP",
	"HERE",
	"NEVERMIND",

	HERE = "Here",
	CAMP = "Camp",
	NEVERMIND = "Nevermind",
}


return _M
